#include "MotorizedValveSpy.hpp"

MV_Spy::MV_Spy() : isOpen_(false), isReady_(false)
{
}

void MV_Spy::openMV()
{
	if(isReady_)
	{
		isOpen_ = true;
	}
}

void MV_Spy::closeMV()
{
	if(isReady_)
	{
		isOpen_ = false;
	}
}

bool MV_Spy::isMVOpen()
{
	return isOpen_;
}

bool MV_Spy::isMVReady()
{
	return isReady_;
}

void MV_Spy::SPY_setOpen(bool o)
{
	isOpen_ = o;
}

void MV_Spy::SPY_setReady(bool r)
{
	isReady_ = r;
}